##### basic_socket_acceptor::get_option (1 of 2 overloads)

Get an option from the acceptor.

    template<
        typename GettableSocketOption>
    void get_option(
        GettableSocketOption & option) const;

This function is used to get the current value of an option on the acceptor.

###### Parameters

option

  The option value to be obtained from the acceptor.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

Getting the value of the SOL_SOCKET/SO_REUSEADDR option:

    asio::ip::tcp::acceptor acceptor(my_context);
    ...
    asio::ip::tcp::acceptor::reuse_address option;
    acceptor.get_option(option);
    bool is_set = option.get();